%define modname id3
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A14_%{modname}.ini

Summary:	Functions to read and write ID3 tags in MP3 files
Name:		php-%{modname}
Version:	0.2
Release:	%mkrel 34
Group:		Development/PHP
URL:		http://pecl.php.net/package/id3
License:	PHP License
Source0:	id3-%{version}.tar.bz2
Patch0:		id3-0.2-php5.4.patch
BuildRequires:	php-devel >= 3:5.2.0
Epoch:		1

%description
id3 enables to to retrieve and update information from ID3 tags in MP3 files.
It supports version 1.0 and version 1.1.

%prep
%setup -q -n id3-%{version}
%patch0 -p0
[ "../package.xml" != "/" ] && mv ../package.xml .

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc examples CREDITS EXPERIMENTAL TODO package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 1:0.2-34.mga3
+ Revision: 393287
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 1:0.2-33.mga3
+ Revision: 375808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 13 2013 fwang <fwang> 1:0.2-32.mga3
+ Revision: 366729
- fix build with php 5.4

* Mon Mar 19 2012 luigiwalser <luigiwalser> 1:0.2-32.mga2
+ Revision: 223904
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 1:0.2-31.mga2
+ Revision: 185298
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 1:0.2-30.mga1
+ Revision: 47976
- removed buildroot definition from .spec
- imported package php-id3

